%define pypi_name qtconsole

Name:           jupyter-qtconsole
Version:        5.0.1
Release:        %mkrel 1
Group:          Development/Python
Summary:        Jupyter Qt console (tools)

License:        BSD
URL:            http://jupyter.org/
Source0:        https://pypi.io/packages/source/q/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3dist(setuptools)
Requires:       python-%{name} = %{version}-%{release}



%description
Qt-based console for Jupyter with support for rich media output.

This package contains the jupyter-qtconsole tool.


%package -n     python-%{name}
Summary:        Jupyter QT console APIs (Python 3)
Requires:       python3-qt5
Provides:       python3-%{name} = %version-%release

%description -n python-%{name}
Qt-based console for Jupyter with support for rich media output.
Provide the "jupyter qtconsole" entry point.

This package installs the library for Python 3.



%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%build
%py3_build


%install
%py3_install


%files
%{_bindir}/jupyter-qtconsole


%files -n python-%{name}
%doc examples README.md
%license LICENSE
%{python3_sitelib}/




%changelog
* Thu Jan 07 2021 daviddavid <daviddavid> 5.0.1-1.mga8
+ Revision: 1669577
- new version: 5.0.1 (needed for spyder >=4, mga#28013)

* Tue Feb 18 2020 umeabot <umeabot> 4.6.0-2.mga8
+ Revision: 1538577
- Mageia 8 Mass Rebuild

* Sat Nov 23 2019 daviddavid <daviddavid> 4.6.0-1.mga8
+ Revision: 1462340
- new version: 4.6.0

* Sat Sep 21 2019 daviddavid <daviddavid> 4.3.0-4.mga8
+ Revision: 1444391
- rebuild for python3.8

* Sat Jan 12 2019 tmb <tmb> 4.3.0-3.mga7
+ Revision: 1355290
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 4.3.0-2.mga7
+ Revision: 1279172
- Mageia 7 Mass Rebuild

* Wed Aug 09 2017 philippem <philippem> 4.3.0-1.mga7
+ Revision: 1139303
- update to 4.3.0, since ipython is py3 only, we provide only py3

* Sat Aug 05 2017 pterjan <pterjan> 4.2.1-2.mga7
+ Revision: 1135241
- Rebuild for python 3.6

* Mon Apr 18 2016 philippem <philippem> 4.2.1-1.mga6
+ Revision: 1003492
- imported package jupyter-qtconsole

